Package com.google.javascript.jscomp

# Class WhitelistWarningsGuard.WhitelistBuilder

java.lang.Object
com.google.javascript.jscomp.WhitelistWarningsGuard.WhitelistBuilder

All Implemented Interfaces:
  `ErrorHandler`

Enclosing class:
  `WhitelistWarningsGuard`

public static class WhitelistWarningsGuard.WhitelistBuilder extends Object implements ErrorHandler

## Constructor Summary

Constructors
Constructor
Description
`WhitelistBuilder()`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendWhitelist(PrintStream out)`
Writes the warnings collected in a format that the WhitelistWarningsGuard can read back later.
`void`
`report(CheckLevel level, JSError error)`
`WhitelistWarningsGuard.WhitelistBuilder`
`setGeneratorTarget(String name)`
Fill in instructions on how to generate this whitelist.
`WhitelistWarningsGuard.WhitelistBuilder`
`setNote(String note)`
A note to include at the top of the whitelist file.
`WhitelistWarningsGuard.WhitelistBuilder`
`setProductName(String name)`
Fill in your product name to get a fun message!
`WhitelistWarningsGuard.WhitelistBuilder`
`setWithLineNumber(boolean line)`
Deprecated.
`void`
`writeWhitelist(File out)`
Writes the warnings collected in a format that the WhitelistWarningsGuard can read back later.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WhitelistBuilder

public WhitelistBuilder()

## Method Details

### setProductName

public WhitelistWarningsGuard.WhitelistBuilder setProductName(String name)
Fill in your product name to get a fun message!

### setGeneratorTarget

public WhitelistWarningsGuard.WhitelistBuilder setGeneratorTarget(String name)
Fill in instructions on how to generate this whitelist.

### setNote

public WhitelistWarningsGuard.WhitelistBuilder setNote(String note)
A note to include at the top of the whitelist file.

### setWithLineNumber

@Deprecated public WhitelistWarningsGuard.WhitelistBuilder setWithLineNumber(boolean line)
Deprecated.
We now always record the line number.

### report

public void report(CheckLevel level, JSError error)

Specified by:
  `report` in interface `ErrorHandler`
Parameters:
  `level` - the reporting level
  `error` - the error to report

### writeWhitelist

public void writeWhitelist(File out) throws IOException
Writes the warnings collected in a format that the WhitelistWarningsGuard can read back later.

Throws:
  `IOException`

### appendWhitelist

public void appendWhitelist(PrintStream out)
Writes the warnings collected in a format that the WhitelistWarningsGuard can read back later.